#include <stdio.h>
#include <stdlib.h>

int main()
{
    int j=0,i=0,min=10,br=0,k;
    char sekvenca[10],tekst[200000],slov;
    scanf("%s",&tekst);
    scanf("%s",&sekvenca);
    while(tekst[i]!='\0'){
        while(tekst[j]!='\0'){
                if(tekst[i]==tekst[j])
                    br++;
                    j++;}
        if(br<min){
            for(k=0;k<10;k++){
                if(tekst[i]==sekvenca[k]){
                    min=br;
                    slov=tekst[i];}
            }
        }
        br=0;
        i++;
        j=0;
    }
    printf("%d",min);
    i=0;
    while(tekst[i]!='\0'){
        if(tekst[i]==slov)
            tekst[i]=42;
            i++;
    }
    printf("\n%s",tekst);
    return 0;
}